List all VMs (Simple)
GET
/vm/simple
const url = 'https://sylve.lan:8181/api/vm/simple';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/vm/simple \ --header 'Authorization: <Authorization>'Retrieve a simple list of all VMs
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
cpuPinning
Array<object>
object
hostCpu
Array<integer>
hostSocket
integer
id
integer
vmId
integer
hasEnabledFilesystemStorage
boolean
id
integer
name
string
rid
integer
state
integer format: int32
vncPort
integer
error
string
message
string
status
string
Example
{ "data": [ { "state": 0 } ]}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}